Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 655736 - Port bitlbee to use NSS library for cryptography
Summary: Port bitlbee to use NSS library for cryptography
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bitlbee
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-22 10:49 UTC by Matěj Cepl
Modified: 2018-04-11 12:34 UTC (History)
3 users (show)

Fixed In Version: bitlbee-3.0.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-13 20:07:15 UTC
Type: ---


Attachments (Terms of Use)

Description Matěj Cepl 2010-11-22 10:49:20 UTC
bitlbee should be ported to use NSS library for cryptography.
See the tracking bug for details and links on how it could be done.

Comment 1 Matěj Cepl 2010-11-22 16:47:54 UTC
Currently (as of commit c265e0d, http://pkgs.fedoraproject.org/gitweb/?p=bitlbee.git;a=commit;h=c265e0d303d2011fc8db6fde1e65185c5e6f6123) NSS patch applies cleanly and it available in the upstream (http://bugs.bitlbee.org/bitlbee/ticket/714), but it doesn't have BuildRequire: nss-devel and it is not switched on. Completely buildable package is available from http://gitorious.org/bitlbee/fedora/commits/nss.

I would propose we switch to NSS as a basic SSL library in future bitlbees.

Comment 2 Matěj Cepl 2010-12-03 15:48:36 UTC
Fixed to the improved vresion of NSS patch.

Comment 3 Fedora Update System 2010-12-04 16:38:09 UTC
bitlbee-3.0.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bitlbee-3.0.1-1.fc14

Comment 4 Fedora Update System 2010-12-05 00:44:04 UTC
bitlbee-3.0.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bitlbee'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/bitlbee-3.0.1-1.fc14

Comment 5 Fedora Update System 2010-12-13 20:07:06 UTC
bitlbee-3.0.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.